『牛角书』Studio解决Failure[INSTALL_PARSE_FAILED_USE..问题 原创 精华

发布于 2022-4-24 11:32
浏览
1收藏

本篇主要讲解解决DevEco Studio中遇到的Failure[INSTALL_PARSE_FAILED_USESDK_ERROR] Error while Deploying HAP 报错问题。
系统:Windows
『牛角书』Studio解决Failure[INSTALL_PARSE_FAILED_USE..问题-开源基础软件社区

报错原因

工程中的releaseType字段与设备(模拟器和真机)中的SDK镜像版本的值不匹配。在设备中运行应用/服务时,build.gradle文件中的compileSdkVersion和compatibleSdkVersion,以及SDK Stage(Beta或Release)需要与设备的apiVersion、releaseType相互匹配才能正常运行 。

解决方法

1、找到File > Settings > HarmonyOS Legacy SDK安装位置,找到toolchains文件打开,其中有一个hdc.exe应用程序
『牛角书』Studio解决Failure[INSTALL_PARSE_FAILED_USE..问题-开源基础软件社区
在此文件下打开终端执行以下命令,得到apiversion、releaseType(将在步骤4中使用到)

hdc shell
getprop hw_sc.build.os.apiversion//设备版本apiversion

getprop hw_sc.build.os.releasetype//设备状态releaseType  

//如hdc命令再找不到即可修改第一行为.\hdc.exe shell

『牛角书』Studio解决Failure[INSTALL_PARSE_FAILED_USE..问题-开源基础软件社区
2、查看模块中的build.gradle文件,查看compileSdkVersion、compatibleSdkVersion对应的版本号
『牛角书』Studio解决Failure[INSTALL_PARSE_FAILED_USE..问题-开源基础软件社区
3、点击File > Settings> SDK Manager > HarmonyOS Legacy SDK,查看compileSdkVersion对应的SDK (API Version X)的Stage。
『牛角书』Studio解决Failure[INSTALL_PARSE_FAILED_USE..问题-开源基础软件社区
得到的SDK Stage将在步骤4中使用到
4、 根据查询的设备apiversion、releaseType,以及SDK Stage的取值,再查询下表中的匹配关系,来修改compileSdkVersion和compatibleSdkVersion的值。compileSdkVersion在各模块和工程下的build.gradle中;compatibleSdkVersion只在各模块下的build.gradle中。 模块可以有多个,但entry模块只有一个。

方法一

对应步骤2中compileSdkVersion和步骤3中compileSdkVersion对应的SDK Stage更改compatibleSdkVersion
例:
步骤2中我的compileSdkVersion为7,步骤3中我的compileSdkVersion对应的SDK Stage为Beta------>compatibleSdkVersion可以是4、5、6、7;

方法二

对应步骤1中apiVersion,releaseType需更改compileSdkVersion和compatibleSdkVersion
例:
步骤1中我的apiVersion为6,releaseType为Release------->compileSdkVersion可以为5、6,再次对照对应的compileSdkVersion查看并更改compatibleSdkVersion。

apiVersion releaseType compileSdkVersion SDK Stage compatibleSdkVersion
4 Release 4 Release 4
4 Release 5 Beta 4
5 Beta 5 Beta 4或5
5 Release 5 Release 4或5
5 Release 6 Release 4或5
5 Release 6 Beta 4或5
6 Release 5 Release 4或5
6 Release 6 Release 4或5或6
6 Beta 5 Release 4或5
6 Beta 6 Beta 4或5或6
7 Beta 7 Beta 4或5或6或7
7 Beta 6 Release 4或5或6

如果表中找不到对应版本可以更新 HarmonyOS系统版本 ,此次发帖DevEco Studio版本为3.0.0.
报错问题应该为Idea的兼容性问题,希望华为鸿蒙SDK功能会越来越完善(●ˇ∀ˇ●)。
和伙伴们一起学习鸿蒙,刚刚升级鸿蒙版本,过程中也遇到了一些问题,将笔记分享给大家,如果有错误的地方和需要完善的地方还请大家帮忙指出呀,感谢各位的观看!
参考文档:https://developer.harmonyos.com/cn/docs/documentation/doc-guides/faq-debugging-and-running-0000001122066466#section72441218359

©著作权归作者所有,如需转载,请注明出处,否则将追究法律责任
标签
3
收藏 1
回复
举报
回复
添加资源
添加资源将有机会获得更多曝光,你也可以直接关联已上传资源 去关联
    相关推荐